$(document).ready(function () {
	load(1);
});

function load(page) {
	var q = $("#q").val();
	$("#loader").fadeIn('slow');
	$.ajax({
		url: './ajax/buscar_clientes.php?action=ajax&page=' + page + '&q=' + q,
		beforeSend: function (objeto) {
			$('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
		},
		success: function (data) {
			$(".outer_div").html(data).fadeIn('slow');
			$('#loader').html('');

		}
	})
}



function eliminar(id) {
	var q = $("#q").val();
	if (confirm("Realmente deseas eliminar el cdc")) {
		$.ajax({
			type: "GET",
			url: "./ajax/buscar_clientes.php",
			data: "id=" + id, "q": q,
			beforeSend: function (objeto) {
				$("#resultados").html("Mensaje: Cargando...");
			},
			success: function (datos) {
				$("#resultados").html(datos);
				load(1);
			}
		});
	}
}

function clear_form_cdc()
{
	$('#nombre').val('');
	$('#telefono').val('');
	$('#direccion').val('');
	$('#email').val("0");
	$('#estado').val("99");
	$('#tnegocio').val('99');
}




$("#guardar_cliente").submit(function (event) {
	$('#guardar_datos').attr("disabled", true);

	var parametros = $(this).serialize();
	$.ajax({
		type: "POST",
		url: "ajax/nuevo_cliente.php",
		data: parametros,
		beforeSend: function (objeto) {
			$("#resultados_ajax").html("Mensaje: Cargando...");
		},
		success: function (datos) {
			clear_form_cdc();
			$("#resultados_ajax").html(datos);
			$('#guardar_datos').attr("disabled", false);
			load(1);
		}
	});
	event.preventDefault();
})

$("#editar_cliente").submit(function (event) {
	$('#actualizar_datos').attr("disabled", true);

	var parametros = $(this).serialize();
	
	$.ajax({
		type: "POST",
		url: "ajax/editar_cliente.php",
		data: parametros,
		beforeSend: function (objeto) {
			$("#resultados_ajax2").html("Mensaje: Cargando...");
		},
		success: function (datos) {
			$("#resultados_ajax2").html(datos);
			$('#actualizar_datos').attr("disabled", false);
			load(1);
		}
	});
	event.preventDefault();
})

function limpiar_mensaje_respuesta(){
    console.log("Limpiar mensaje...");
    $("#resultados_ajax2").html("");
}

function obtener_datos(id) {
    limpiar_mensaje_respuesta();
	var nombre_cliente = $("#nombre_cliente" + id).val();
	var poblacion_cliente = $("#poblacion_cliente" + id).val();
	var ejecutivo_id = $("#ejecutivo_id" + id).val();
	var direccion_cliente = $("#direccion_cliente" + id).val();
	var status_cliente = $("#status_cliente" + id).val();
	var tnegocio = $("#tnegocio" + id).val();
	console.log('Valor estatus cliente....');
	console.log(tnegocio);
	$("#mod_nombre").val(nombre_cliente);
	$("#mod_telefono").val(poblacion_cliente);
	$("#mod_email").val(ejecutivo_id);
	$("#mod_direccion").val(direccion_cliente);
	$("#mod_estado").val(status_cliente);
    $("#mod_tnegocio").val(tnegocio);
	$("#mod_id").val(id);
		

}




